Download it now!
Bug 94628 - Fileopen: Docx custom numbering triangle symbol incorrectly displayed as a dot
Summary: Fileopen: Docx custom numbering triangle symbol incorrectly displayed as a dot
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: filter:docx
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2015-09-30 00:31 UTC by Thomasy
Modified: 2020-05-13 09:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The file of the incorrectly displayed order list. (184.15 KB, application/vnd.ms-word.document.12)
2015-09-30 00:31 UTC, Thomasy
Details
LibreOffice Writer 5.0.2.2 (24.55 KB, image/png)
2015-09-30 00:32 UTC, Thomasy
Details
MS Word 2007 (35.46 KB, image/png)
2015-09-30 00:32 UTC, Thomasy
Details
Compare Writer and Word (353.63 KB, image/png)
2015-09-30 01:11 UTC, Thomasy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomasy 2015-09-30 00:31:46 UTC
Created attachment 119130 [details]
The file of the incorrectly displayed order list.

The order list is not corrected display compared to Word 2007.
Comment 1 Thomasy 2015-09-30 00:32:36 UTC Comment hidden (obsolete)
Comment 2 Thomasy 2015-09-30 00:32:55 UTC Comment hidden (obsolete)
Comment 3 Joel Madero 2015-09-30 01:01:19 UTC Comment hidden (obsolete)
Comment 4 Thomasy 2015-09-30 01:11:54 UTC
Created attachment 119133 [details]
Compare Writer and Word

The triangle in the red circuit does not show in LibreOffice
Comment 5 Buovjaga 2015-10-02 09:09:54 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 25de5cfa43b2b1cb7d7214470acc7719839e13fe
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-01_08:49:54
Locale: en-US (fi_FI)
Comment 6 Thomasy 2015-11-07 09:51:35 UTC
The triangle "◥" numbering is defined in the file "word/numbering.xml"

#word/numbering.xml
<w:numbering>
	<w:abstractNum w:abstractNumId="0">
		<w:nsid w:val="370D2A8C"/>
		<w:multiLevelType w:val="hybridMultilevel"/>
		<w:tmpl w:val="D3E470D2"/>
		<w:lvl w:ilvl="0" w:tplc="8C229D30">
			<w:start w:val="1"/>
			<w:numFmt w:val="bullet"/>
			<w:pStyle w:val="2"/>
			<w:lvlText w:val="◥"/>
			<w:lvlJc w:val="left"/>
		<w:pPr>
			<w:ind w:left="480" w:hanging="480"/>
		</w:pPr>
		<w:rPr>
			<w:rFonts w:ascii="新細明體" w:eastAsia="新細明體" w:hAnsi="新細明體" w:hint="eastAsia"/>
		</w:rPr>
	</w:lvl>
Comment 7 Thomasy 2015-11-07 10:28:15 UTC
I also create a simple document with "◥", 'BLACK UPPER RIGHT TRIANGLE' (U+25E5) numbering.
The output of LibreOffice is shown below.

<w:abstractNum w:abstractNumId="2">
	<w:lvl w:ilvl="0">
		<w:start w:val="1"/>
		<w:numFmt w:val="bullet"/>
		<w:lvlText w:val="◥"/>
		<w:lvlJc w:val="left"/>
		<w:pPr>
			<w:tabs>
				<w:tab w:val="num" w:pos="720"/>
			</w:tabs>
			<w:ind w:left="720" w:hanging="360"/>
		</w:pPr>
		<w:rPr>
			<w:rFonts w:ascii="文泉驛正黑" w:hAnsi="文泉驛正黑" w:cs="文泉驛正黑" w:hint="default"/>
			<w:rFonts w:cs="OpenSymbol"/>
		</w:rPr>
	</w:lvl>
Comment 8 QA Administrators 2018-06-26 02:45:23 UTC Comment hidden (obsolete)
Comment 9 Timur 2019-09-06 11:17:23 UTC
Repro 6.4
Comment 10 Commit Notification 2020-05-08 22:17:36 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cad788328ec6ef4b3071cf9002dfac12347562da

tdf#94628: sw: allow setting for bullet for outline paragraphs

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Buovjaga 2020-05-09 12:21:35 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 7.0.0.0.alpha1+
Build ID: c73418d8d1258ea0a8c77c07672fd182e2b28b26
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 9 May 2020
Comment 12 Commit Notification 2020-05-13 09:00:04 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ae0e4a6ba9be2fa99ac2be8e20157806e36209b2

tdf#94628: sw: allow setting for bullet for outline paragraphs

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.